NOTTI/DOTTI only compatible with Android devices running 4.3 and up / iOS 7.1 and up with Bluetooth 4.0 or above.  Please try to turn off all the other Bluetooth devices first, and test whether you can connect NOTTI / DOTTI with your device.  Please be reminded that we don’t need to pair in Bluetooth setting, just open NOTTI/DOTTI app to connect.